Subject: Re: [X2Go-Dev] Bug#179: x2goclient in broker-mode does not allow logout

From: Mike Gabriel <[email-masked]>
Date: Fri, 19 Apr 2013 14:51:21 +0200

severity #179 grave
tag #179 confirmed
thanks

Hi Anders,

On Fr 19 Apr 2013 10:35:03 CEST Anders Bruun Olsen wrote:

> Package: x2goclient
> Version: 4.0.1.0
>
> When you have logged in to a server in broker-mode, there is no way to
> de-authenticate from the broker, other than closing x2goclient. This is not
> a problem on a normal desktop machine, but on thinclients, it is not really
> possible to close x2goclient, other than rebooting/shutting down the
> machine. This means that users can't go to a thinclient, login and work,
> logout and walk away from the machine to allow a different user to use it,
> without rebooting the machine after having logged out. This is not
> acceptable behavior for a thinclient setup. I think logging out of an
> x2goserver should also trigger a deauthenticate from the broker, as this
> mimicks the way x2goclient works when not in broker-mode.

I consider this as a grave issue and see to getting it fixed ASAP.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb